# GET获取产品的复权因子

## 接口说明

该接口是获取产品的复权因子

## 请求频率

跟其他接口请求频率使用同一个频率限制。具体每秒请求次数根据套餐决定。可以参考[接口限制说明](/getting-started/api-limitation.md)

## 错误码说明

参考[HTTP错误码说明](/getting-started/error-codes/http.md)

## 接口地址

* 基本路径：`/common/basic/symbols/adjustment_factors`
* 完整路径：`https://data.infoway.io/common/basic/symbols/adjustment_factors`

## 请求头

| 参数       | 类型     | 必填 | 描述           |
| -------- | ------ | -- | ------------ |
| `apiKey` | String | 是  | 您套餐中的API Key |

## Request param入参说明

| 参数名        | 类型     | 必填 | 描述                           | 示例值         |
| ---------- | ------ | -- | ---------------------------- | ----------- |
| `symbol`   | String | 是  | 标的代码                         | `000001.SZ` |
| `market`   | String | 是  | 市场: `US`,`CN`,`JP`,`IN`,`HK` | `US`        |
| `beginDay` | String | 是  | 开始时间，格式`YYYYMMDD`            | `20260323`  |
| `endDay`   | String | 是  | 结束时间，格式`YYYYMMDD`            | `20260324`  |

## 返回示例

```json
{
    "ret": 200,
    "msg": "success",
    "traceId": "a50ecfd7-decf-4c80-8ee0-798ede935794",
    "data": [
        {
            "symbol": "000001.SZ",
            "market": "CN",
            "trade_date": "19910102",
            "forward_factor": 0.6399030867
        },
        {
            "symbol": "000001.SZ",
            "market": "CN",
            "trade_date": "19910103",
            "forward_factor": 0.6399029351
        }
    ]
}
```

<table><thead><tr><th>字段名</th><th>类型</th><th>必填</th><th>描述</th><th width="152">示例值</th></tr></thead><tbody><tr><td><code>symbol</code></td><td>String</td><td>是</td><td>标的代码</td><td><code>000001.SZ</code></td></tr><tr><td><code>market</code></td><td>String</td><td>是</td><td>市场：<code>US</code>,<code>CN</code>,<code>JP</code>,<code>IN</code>,<code>HK</code></td><td><code>US</code></td></tr><tr><td><code>trade_date</code></td><td>String</td><td>是</td><td>交易日期，格式<code>YYYYMMDD</code></td><td><code>19910103</code></td></tr><tr><td><code>forward_factor</code></td><td>BigDecimal</td><td>是</td><td>前复权因子</td><td><code>0.6499029351</code></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infoway.io/rest-api/basic-info/get-adjustment-factor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
